1. Product List
Affiliate.com API Documentation
  • Affiliate.com API Endpoints
    • Account
      • Get User Team Account Information
    • Network Groups
      • List All Network Groups
    • Networks
      • List All Networks
      • Get Single Specific Network
    • Merchants
      • List All Merchants
      • Get Single Specific Merchant Name
      • Get a Single Specific Merchant ID
    • Products
      • Search Products
    • Omni
      • Omni
    • Conversion
      • URL to Barcode
      • Barcode to SKU
      • ASIN to Barcode
      • SKU to Barcode
      • Barcode to ASIN
    • Watch
      • Set Product Watch
      • Get All Product Watches
      • Get Specific Product Watch
      • Get Specific Product Watch from Metadata
      • Edit Product Watch
      • Delete Product Watch
      • Get Single Product Watch Notification History
      • Get Product Watch Notification History via Metadata
    • Product List
      • Create Product List
        POST
      • Get Product Lists
        GET
      • Get Single List
        GET
      • Get List By Metadata
        GET
      • Add Products to a List
        POST
      • Remove Products from a List
        DELETE
      • Delete Product List
        DELETE
  1. Product List

Create Product List

Testing
POST
/v1/products/lists

Request

Header Params

Body Params application/json

Example
{
    "pool_id": 123,
    "metadata": {
        "key1": "metavalueiwantreturned"
    },
    "name": "listnamehere",
    "owner_identifier": "ownenamehere",
    "product_ids": [
        "8099982740095203709",
        "8099987467386791069"
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1/products/lists' \
--header 'Authorization: Bearer {{token}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "pool_id": 123,
    "metadata": {
        "key1": "metavalueiwantreturned"
    },
    "name": "listnamehere",
    "owner_identifier": "ownenamehere",
    "product_ids": [
        "8099982740095203709",
        "8099987467386791069"
    ]
}'

Responses

🟢201Created
application/json
Body

Examples
{
    "data": {
        "id": "9e6f0b14-0a55-4a53-9171-00b2aacaaab8",
        "metadata": {
            "key1": "metadataiwantreturned"
        },
        "name": "listname",
        "products_count": 2,
        "products": [
            {
                "id": "8099982740095203709",
                "barcode": null,
                "name": "test list",
                "owner_identifier": "123",
                "description": "",
                "direct_url": "https:\/\/www.wayfair.com\/DecorumBY--Acrylic-Bubblegum-Tupac-by-N-Perez-Print-Graphic-Art-Bubblegum-Tupac--L1318-K~DCBY1240.html?&PiID%5B%5D=39344961&PiID%5B%5D=39344962",
                "image_url": "https:\/\/assets.wfcdn.com\/im\/96908466\/resize-h400-w400%5Ecompr-r85\/7745\/77458008\/.jpg",
                "currency": "USD",
                "regular_price": 6.78,
                "final_price": 6.78,
                "on_sale": false,
                "sale_discount": 0,
                "availability": "Unknown",
                "sku": null,
                "brand": "DecorumBY",
                "category": "Home & Garden > Decor > Artwork; Home & Garden > Home Decor > Wall Art",
                "network": {
                    "id": 3,
                    "name": "CJ US",
                    "logo_url": "https:\/\/img.affiliate.com\/logos\/groups\/10013\/128x128.png"
                },
                "merchant": {
                    "id": 9998,
                    "name": "Wayfair",
                    "logo_url": "https:\/\/img.affiliate.com\/logos\/merchants\/9998\/logo.png"
                }
            },
            {
                "id": "8099987467386791069",
                "barcode": null,
                "name": "Bubblegum Tupac by N Perez - Round Photograph",
                "description": "",
                "direct_url": "https:\/\/www.wayfair.com\/DecorumBY--Bubblegum-Tupac-by-N-Perez-Round-Photograph-Graphic-Art-Bubblegum-Tupac-AD-L1318-K~DCBY1239.html?&PiID%5B%5D=39344956&PiID%5B%5D=39344960",
                "image_url": "https:\/\/assets.wfcdn.com\/im\/08259379\/resize-h400-w400%5Ecompr-r85\/7745\/77458009\/.jpg",
                "currency": "USD",
                "regular_price": 7.66,
                "final_price": 7.66,
                "on_sale": false,
                "sale_discount": 0,
                "availability": "Unknown",
                "sku": null,
                "brand": "DecorumBY",
                "category": "Home & Garden > Decor > Artwork; Home & Garden > Home Decor > Wall Art",
                "network": {
                    "id": 3,
                    "name": "CJ US",
                    "logo_url": "https:\/\/img.affiliate.com\/logos\/groups\/10013\/128x128.png"
                },
                "merchant": {
                    "id": 9998,
                    "name": "Wayfair",
                    "logo_url": "https:\/\/img.affiliate.com\/logos\/merchants\/9998\/logo.png"
                }
            }
        ]
    },
    "meta": {
        "trace_id": "01959726-95eb-72ca-8193-c2bb32481719"
    }
}
🟠429Rate Limit Exceeded
Modified at 2025-04-17 14:01:45
Previous
Product List
Next
Get Product Lists